0

The background is that I have an installation profile that installs certain Drupal modules and CiviCRM. The list of module dependencies goes in my profile's .info file. However if I include webform_civcirm the installation fails. The failure seems to be because CiviCRM has not been installed yet:

[ok]                                                                                                                           
Starting Drupal installation. This takes a while. Consider using the   --notify global option.
[warning]
WD php: Warning: include_once(sites/default/civicrm.settings.php): failed to open stream: No such file or directory in civicrm_initialize() (line 190 of /var/www/site/profiles/compuclient/modules/civicrm/drupal/civicrm.module).
[warning]
WD php: Warning: include_once(): Failed opening 'sites/default/civicrm.settings.php' for inclusion  (include_path='<my include path>') in civicrm_initialize() (line 190 of /var/www/site/profiles/compuclient/modules/civicrm/drupal/civicrm.module).
[warning]
WD php: Warning: Invalid argument supplied for foreach() in civicrm_menu_alter() (line 482 of /var/www/site/profiles/compuclient/modules/civicrm/drupal/civicrm.module).
[error]
Drush command terminated abnormally due to an unrecoverable error.

I might be trying to do something the module just isn't designed for, i.e. installing it when CiviCRM isn't yet installed on the site. The step that installs CiviCRM takes place after the site's dependencies are downloaded and enabled.

  • hmm we sometimes install using a make.file but haven't hit this issue – petednz - fuzion Oct 23 '18 at 19:33
  • @petednz-fuzion do you also include it in your module's dependencies in the .info file? Including webform_civicrm in the makefile is fine, just including it in the modules to be automatically enabled in the .info file doesn't work – mickadoo Oct 24 '18 at 7:51
  • 1
    haven't used it for a while and don't have time to check. but since webform_civicrm has a dependency on civicrm there is no way it can install if civicrm isn't already set up properly – petednz - fuzion Oct 24 '18 at 17:56
1

AFAIK you can not install Webform CiviCRM if CiviCRM is not installed yet.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.